<mat-toolbar fxLayout="row" fxLayoutAlign="space-between center">
  <ng-container *ngIf="isAdmin">
    <button *ngIf="isAdminView | async; else userView" [routerLink]="['/']" mat-stroked-button>Member View</button>
    <ng-template #userView>
      <button [routerLink]="['/', 'admin']" mat-stroked-button>Admin View</button>
    </ng-template>
  </ng-container>
  <span *ngIf="!isAdmin"></span>
  <button (click)="logout()" mat-raised-button>
    <span fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="12px">
      <mat-icon>logout</mat-icon>
      <span>Logout</span>
    </span>
  </button>
</mat-toolbar>
<div class="container">
  <router-outlet></router-outlet>
</div>
